package com.sun.xml.internal.org.jvnet.fastinfoset.sax;

import org.xml.sax.ext.DeclHandler;
import org.xml.sax.ext.LexicalHandler;
import org.xml.sax.SAXException;
import com.sun.xml.internal.org.jvnet.fastinfoset.FastInfosetException;
import java.io.IOException;
import java.io.InputStream;
import com.sun.xml.internal.org.jvnet.fastinfoset.FastInfosetParser;
import org.xml.sax.XMLReader;

public interface FastInfosetReader extends XMLReader, FastInfosetParser
{
    public static final String ENCODING_ALGORITHM_CONTENT_HANDLER_PROPERTY = "http://jvnet.org/fastinfoset/sax/properties/encoding-algorithm-content-handler";
    public static final String PRIMITIVE_TYPE_CONTENT_HANDLER_PROPERTY = "http://jvnet.org/fastinfoset/sax/properties/primitive-type-content-handler";
    
    public abstract void parse(InputStream p0) throws IOException, FastInfosetException, SAXException;
    
    public abstract void setLexicalHandler(LexicalHandler p0);
    
    public abstract LexicalHandler getLexicalHandler();
    
    public abstract void setDeclHandler(DeclHandler p0);
    
    public abstract DeclHandler getDeclHandler();
    
    public abstract void setEncodingAlgorithmContentHandler(EncodingAlgorithmContentHandler p0);
    
    public abstract EncodingAlgorithmContentHandler getEncodingAlgorithmContentHandler();
    
    public abstract void setPrimitiveTypeContentHandler(PrimitiveTypeContentHandler p0);
    
    public abstract PrimitiveTypeContentHandler getPrimitiveTypeContentHandler();
}
